// Copyright (c) FIRST and other WPILib contributors.
// Open Source Software; you can modify and/or share it under the terms of
// the WPILib BSD license file in the root directory of this project.

package frc.robot.commands.Pince;

import edu.wpi.first.wpilibj2.command.Command;
import frc.robot.subsystems.Bougie;
import frc.robot.subsystems.Pince;

/* You should consider using the more terse Command factories API instead https://docs.wpilib.org/en/stable/docs/software/commandbased/organizing-command-based.html#defining-commands */
public class CorailAspir extends Command {
  /** Creates a new CorailAspir. */
  private Pince pince;
  Bougie bougie;
  public CorailAspir(Pince pince, Bougie bougie) {
    // Use addRequirements() here to declare subsystem dependencies.
    this.pince = pince;
    this.bougie = bougie;
    addRequirements(pince,bougie);
  }

  // Called when the command is initially scheduled.
  @Override
  public void initialize() {}

  // Called every time the scheduler runs while the command is scheduled.
  @Override
  public void execute() {
    if(pince.emperagecoral() > 15){
      pince.aspirecoral(0);
      bougie.Bleu();
    }
    else{
     pince.aspirecoral(0.5); 
    }
    
  }

  // Called once the command ends or is interrupted.
  @Override
  public void end(boolean interrupted) {
    pince.aspirecoral(0);
  }

  // Returns true when the command should end.
  @Override
  public boolean isFinished() {
    return pince.emperagecoral()>13;
  }
}
