// Copyright (c) FIRST and other WPILib contributors.
// Open Source Software; you can modify and/or share it under the terms of
// the WPILib BSD license file in the root directory of this project.

package frc.robot.commands.grimpeur;

import edu.wpi.first.wpilibj2.command.Command;
import frc.robot.subsystems.Bougie;
import frc.robot.subsystems.Grimpeur;

/* You should consider using the more terse Command factories API instead https://docs.wpilib.org/en/stable/docs/software/commandbased/organizing-command-based.html#defining-commands */
public class GrimpeurManuelhaut extends Command {
  private Grimpeur grimpeur;

  private Bougie bougie;
  /** Creates a new GrimpeurManuel. */
  public GrimpeurManuelhaut(Grimpeur grimpeur,Bougie bougie) {
    this.grimpeur = grimpeur;
    
    this.bougie = bougie;
    addRequirements(grimpeur, bougie);
    // Use addRequirements() here to declare subsystem dependencies.
  }

  // Called when the command is initially scheduled.
  @Override
  public void initialize() {}

  // Called every time the scheduler runs while the command is scheduled.
  @Override
  public void execute() {
    if(grimpeur.stop()){
      bougie.RainBow();
      grimpeur.grimpe(-0.5);
    }
    
    else{
      bougie.RainBowStop();
    grimpeur.grimpe(-0.5);  
    }
    
  }

  // Called once the command ends or is interrupted.
  @Override
  public void end(boolean interrupted) {
    grimpeur.grimpe(0);
    if(grimpeur.stop()){
      bougie.RainBow();
    }
    else{bougie.RainBowStop();}
  }

  // Returns true when the command should end.
  @Override
  public boolean isFinished() {
    return false;
  }
}
