// Copyright (c) FIRST and other WPILib contributors.
// Open Source Software; you can modify and/or share it under the terms of
// the WPILib BSD license file in the root directory of this project.

package frc.robot.commands.requin;

import edu.wpi.first.wpilibj2.command.Command;
import frc.robot.subsystems.Bougie;
import frc.robot.subsystems.Requin;

/* You should consider using the more terse Command factories API instead https://docs.wpilib.org/en/stable/docs/software/commandbased/organizing-command-based.html#defining-commands */
public class BalayeuseAlgue extends Command {
  private Requin requin;
  private Bougie bougie;
  /** Creates a new Balayeuse. */
  public BalayeuseAlgue(Requin requin, Bougie bougie) {
    this.requin = requin;
    this.bougie =bougie;
    addRequirements(requin,bougie);
    // Use addRequirements() here to declare subsystem dependencies.
  }

  // Called when the command is initially scheduled.
  @Override
  public void initialize() {}

  // Called every time the scheduler runs while the command is scheduled.
  @Override
  public void execute() {
     if(requin.encodeur()<=715 &&  requin.encodeur()>=670)
     {
       requin.rotationer(0);
       if(requin.amp()> 60){
       requin.balaye(0);
       bougie.Vert();
     }
      else
      {
           requin.balaye(-0.5);
      }
     }
     else if(requin.encodeur()>=700){
     requin.rotationer(-0.5);
     }
     else{
      requin.rotationer(0.5);
     }
    
   }

  // Called once the command ends or is interrupted.
  @Override
  public void end(boolean interrupted) {
    requin.rotationer(0);
    requin.balaye(0);
  }

  // Returns true when the command should end.
  @Override
  public boolean isFinished() {
    return false;
  }
}
